import { jsx as i } from "react/jsx-runtime";
import { useTheme as t, Box as d } from "@mui/material";
import { mergeSx as a } from "../../Util/style.js";
function p({ children: o, sx: r = {} }) {
  const e = t();
  return /* @__PURE__ */ i(
    d,
    {
      sx: a(
        {
          p: 2,
          backgroundColor: e.palette.background.paper,
          border: "1px solid",
          borderColor: "divider",
          borderRadius: 1,
          maxWidth: 500,
          minWidth: 320,
          display: "flex"
        },
        r || null
      ),
      children: o
    }
  );
}
export {
  p as default
};
